[PULL,4/5] sdl: prefer sdl2 over sdl1
diff mbox

Message ID 20170614075653.26420-5-kraxel@redhat.com
State New
Headers show

Commit Message

Gerd Hoffmann June 14, 2017, 7:56 a.m. UTC
In case the configure script finds both SDL 1.2 and SDL 2.x installed
it still prefers SDL 1.2.  Prefer SDL 2.x instead.

Signed-off-by: Gerd Hoffmann <kraxel@redhat.com>
Reviewed-by: Marc-André Lureau <marcandre.lureau@redhat.com>
Message-id: 20170606105339.3613-3-kraxel@redhat.com
---
 configure | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

Patch
diff mbox

diff --git a/configure b/configure
index bfba156a41..db0798d51d 100755
--- a/configure
+++ b/configure
@@ -2598,12 +2598,12 @@  fi
 # sdl-config even without cross prefix, and favour pkg-config over sdl-config.
 
 if test "$sdlabi" = ""; then
-    if $pkg_config --exists "sdl"; then
-        sdlabi=1.2
-    elif $pkg_config --exists "sdl2"; then
+    if $pkg_config --exists "sdl2"; then
         sdlabi=2.0
+    elif $pkg_config --exists "sdl"; then
+        sdlabi=1.2
     else
-        sdlabi=1.2
+        sdlabi=2.0
     fi
 fi
 
@@ -2630,7 +2630,7 @@  elif has ${sdl_config}; then
   sdlversion=$($sdlconfig --version)
 else
   if test "$sdl" = "yes" ; then
-    feature_not_found "sdl" "Install SDL devel"
+    feature_not_found "sdl" "Install SDL2-devel"
   fi
   sdl=no
 fi